import { JSX } from "solid-js";
import { CSSLength, SizesOptions, SpacingOptions } from "./spacing-constants";
import { HeadlessPropsWithRef, ValidConstructor } from "./typeUtils";
type MinItemWidth = CSSLength | number | SizesOptions | "fit-content" | "max-content" | "min-content" | "auto";
export interface GridBaseProps {
    gutter?: SpacingOptions;
    minItemWidth?: MinItemWidth;
}
export type GridProps<T extends ValidConstructor = "div"> = HeadlessPropsWithRef<T, GridBaseProps>;
export declare function Grid<T extends ValidConstructor = "div">(props: GridProps<T>): JSX.Element;
export {};
